package sharin.doc.builder.xhtml1;

public class TextareaElem extends GenericCommonElem<TextareaElem> {

    public TextareaElem(Object... nodes) {
        super("textarea", nodes);
    }

    public TextareaElem accesskey(Object value) {
        return attr("accesskey", value);
    }

    public TextareaElem cols(Object value) {
        return attr("cols", value);
    }

    public TextareaElem disabled(boolean disabled) {
        return disabled ? disabled("disabled") : this;
    }

    public TextareaElem disabled(Object value) {
        return attr("disabled", value);
    }

    public TextareaElem name(Object value) {
        return attr("name", value);
    }

    public TextareaElem onblur(Object value) {
        return attr("onblur", value);
    }

    public TextareaElem onchange(Object value) {
        return attr("onchange", value);
    }

    public TextareaElem onfocus(Object value) {
        return attr("onfocus", value);
    }

    public TextareaElem onselect(Object value) {
        return attr("onselect", value);
    }

    public TextareaElem readonly(boolean readonly) {
        return readonly ? readonly("readonly") : this;
    }

    public TextareaElem readonly(Object value) {
        return attr("readonly", value);
    }

    public TextareaElem rows(Object value) {
        return attr("rows", value);
    }

    public TextareaElem tabindex(Object value) {
        return attr("tabindex", value);
    }
}
